
import java.sql.*;

public class JdbcPreparedstatementAddbatch {

    public static void main(String args[]) {

        Connection con = null;
        PreparedStatement pst = null;
        ResultSet rs = null;

        String url = "jdbc:mysql://localhost:3306/";
        String db = "komal";
        String driver = "com.mysql.jdbc.Driver";
        String user = "root";
        String pass = "root";

        try {

            Class.forName(driver);
            con = DriverManager.getConnection(url + db, user, pass);

            pst = con.prepareStatement("insert into lib value(?,?)");
            con.setAutoCommit(false);

            pst.setString(1, "6");
            pst.setString(2, "106");
            pst.addBatch();

            pst.setString(1, "7");
            pst.setString(2, "107");
            pst.addBatch();

            pst.setString(1, "8");
            pst.setString(2, "108");
            pst.addBatch();

            pst.executeBatch();

            pst.close();

            String sql = "select * from lib";
            pst = con.prepareStatement(sql);

            rs = pst.executeQuery();

            System.out.println("rno\tlibno");
            while (rs.next()) {
                System.out.print(rs.getString(1) + "   \t");
                System.out.println(rs.getString(2));
            }
            rs.close();
            pst.close();
            con.close();

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
